// ScanException.java
//
// Informatics 102 Spring 2012
// Code Example
//
// This exception is thrown by the Scanner when it encounters invalid input
// (i.e., characters that are never valid in any context) or when an I/O
// error occurs while reading input.  Like many exceptions in the Java
// library, it can contain a "cause", which is an exception that is the
// cause of this one (e.g., an IOException that caused a ScanException).

public class ScanException extends RuntimeException
{
	public ScanException(String message)
	{
		super(message);
	}


	public ScanException(String message, Throwable cause)
	{
		super(message, cause);
	}
}
