// TokenType.java
//
// Informatics 102 Spring 2012
// Code Example
//
// An enumeration that defines the kinds of tokens that are valid in
// programs in the language we're implementing.  We're including a special
// kind of token called END_OF_INPUT, which we'll use to detect when there
// is no more input.


public enum TokenType
{
	PROGRAM,
	VAR,
	IDENTIFIER,
	LEFT_BRACE,
	RIGHT_BRACE,
	SEMICOLON,
	END_OF_INPUT
}
